#!/bin/bash
# 
# This should be run inside armedslack-current's parent directory ( armedslack-current/.. )
# where the real slackware-current directory is located.
# stuart@armedslack.org
# It will generate the list of shared library dependencies ldd finds in
# Slackware's x86 KDE packages.

for i in kdeaccessibility \
kdeaddons \
kdeadmin \
kdeartwork \
kdebase \
kdebindings \
kdeedu \
kdegames \
kdegraphics \
kdelibs \
kdemultimedia \
kdenetwork \
kdepim \
kdesdk \
kdetoys \
kdeutils \
kdevelop \
kdewebdev \
koffice \
; do
cat << EOF >> KDE_DEPS
******************************
** $i *****************
$( ./lddslack kde/$i )
EOF
done
